import e from "react";
import { Trans as s } from "react-i18next";
import { TwitchDropLayout as l } from "./accelbyte-widgets507.mjs";
import "./accelbyte-widgets590.mjs";
import { Ctx as c } from "./accelbyte-widgets33.mjs";
import { Loading as g } from "./accelbyte-widgets136.mjs";
import p from "classnames";
import { TwitchCard as d } from "./accelbyte-widgets506.mjs";
function h(r) {
  const { message: o, className: n, logo: i, configs: t, isMultipleGame: m } = r, a = c.getAppState();
  return /* @__PURE__ */ e.createElement(
    l,
    {
      backgroundOverlay: a.linkTwitchManager.getBackgroundOverlay(t),
      backgroundURL: a.linkTwitchManager.getBackgroundURL(t),
      logo: i || a.linkTwitchManager.getCompanyLogo(),
      className: p("loadingPanel", n),
      title: o
    },
    /* @__PURE__ */ e.createElement(d, { className: "loadingCard", isMultipleGame: m }, /* @__PURE__ */ e.createElement("div", { className: "spinnerWrapper" }, /* @__PURE__ */ e.createElement(g, { loadingType: "SPINNER" })), /* @__PURE__ */ e.createElement("div", { className: "subMessageContainer" }, /* @__PURE__ */ e.createElement("span", { className: "message" }, /* @__PURE__ */ e.createElement(s, { i18nKey: "TwitchLoading.message" }, "You will be redirected a few seconds"))))
  );
}
export {
  h as LoadingPanel
};
